CUTLASS: cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ > Struct Template Reference

`#include <output_tile_thread_map.h>`

## Public Types
using | ThreadMap = ThreadMap_
| Conventional thread map (concept: ThreadMap) More...
using | Shape = Shape_
| Shape of the tile. More...
using | Iterations = Iterations_
| Iterations performed by each thread. More...
using | Delta = Delta_
| Delta between accesses. More...
using | Count = Count_
| Number of iterator iterations. More...

## Static Public Member Functions
static CUTLASS_HOST_DEVICE MatrixCoord | initial_offset (int thread_idx)
| Initial offset function. More...

## Static Public Attributes
static int const | kThreads = ThreadMap::kThreads
| Number of threads participating in the operation. More...
static int const | kElementsPerAccess = ThreadMap::kElementsPerAccess
| Number of scalar elements per access. More...

## Member Typedef Documentation

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

using cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::Count = Count_

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

using cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::Delta = Delta_

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

using cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::Iterations = Iterations_

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

using cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::Shape = Shape_

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

using cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::ThreadMap = ThreadMap_

## Member Function Documentation

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

static CUTLASS_HOST_DEVICE MatrixCoord cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::initial_offset | ( | int | thread_idx | ) |
| inlinestatic

## Member Data Documentation

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

int const cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::kElementsPerAccess = ThreadMap::kElementsPerAccess
| static

template<typename ThreadMap_ , typename Shape_ , typename Iterations_ , typename Delta_ , typename Count_ >

int const cutlass::epilogue::threadblock::OutputTileThreadMap< ThreadMap_, Shape_, Iterations_, Delta_, Count_ >::kThreads = ThreadMap::kThreads
| static

The documentation for this struct was generated from the following file:

- output_tile_thread_map.h